## org.hibernate.engine.jdbc
Class JdbcSupportLoader

    java.lang.Object
      org.hibernate.engine.jdbc.JdbcSupportLoader

    public class JdbcSupportLoader

extends Object

Builds `JdbcSupport` instances based on the capabilities of the environment.

Author:
  Steve Ebersole

Constructor Summary
`JdbcSupportLoader()`

Method Summary
`static JdbcSupport` `loadJdbcSupport(Connection jdbcConnection)` The public factory method for obtaining the appropriate (according to given JDBC `Connection`) `JdbcSupport`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcSupportLoader

    public JdbcSupportLoader()

Method Detail

### loadJdbcSupport

    public static JdbcSupport loadJdbcSupport(Connection jdbcConnection)

  The public factory method for obtaining the appropriate (according to given JDBC `Connection`) `JdbcSupport`.

  Parameters:
    `jdbcConnection` - A JDBC `Connection` which can be used to gauge the drivers level of support, specifically for creating LOB references.
  Returns:
    An appropriate `JdbcSupport` instance.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.